// should be called in `oYASMConfig` object
var i;

uiypos = 32; // for page creation code
uiinum = 0;

for (i = 0; i < 10; i += 1) {
  uiText[i] = "";
  uiInfoTitle[i] = "";
  uiInfoText[i] = "";
  uiNumericX[i] = -1;
  uiNumericVar[i] = "";
}

switch (page) {
  case 1:
    scrOptionButton("skipIntro", "SKIP INTRO", wordwrap("AUTOMATICALLY SKIPS THE INTRO SEQUENCE AND STARTS THE GAME AT THE TITLE SCREEN."));
    scrOptionButton("optImmTransition", "FASTER TRANSITIONS", wordwrap("PRESSING ACTION SECOND TIME WILL IMMEDIATELY SKIP TRANSITION LEVEL."));
    scrOptionButton("useDoorWithButton", "BUTTON TO USE DOOR", wordwrap("WITH THIS OPTION ENABLED YOU WILL NEED TO PRESS THE 'PURCHASE' BUTTON INSTEAD OF 'UP' TO USE DOORS. RECOMMENDED FOR GAMEPAD USERS."));
    scrOptionButton("parallax", "PARALLAX BACKGROUND", wordwrap("THE BACKGROUND WILL SCROLL SLOWER THAN THE FOREGROUND TO GIVE THE ILLUSION OF DEPTH."));
    scrOptionButton("scumHud", "SMALLER HUD", wordwrap("THE INFORMATION AT THE TOP OF THE SCREEN SHOWING YOUR HEARTS, BOMBS, ROPES AND MONEY WILL BE REDUCED IN SIZE."));
    scrOptionButton("scumMetric", "METRIC UNITS", wordwrap("DEPTH WILL BE MEASURED IN METRES INSTEAD OF FEET."));
    scrOptionButton("useFrozenRegion", "FROZEN REGION", wordwrap("OFF-SCREEN ENTITIES ARE PAUSED TO IMPROVE PERFORMANCE. LEAVE THIS ENABLED IF YOU DON'T KNOW WHAT IT IS. DO A WEB SEARCH FOR 'SPELUNKY FROZEN REGION' FOR A FULL EXPLANATION. THE YASM README FILE ALSO HAS INFO."));
    scrOptionButton("scumUnlocked", "UNLOCK SHORTCUTS", wordwrap("OPENS ALL DOORS IN THE SHORTCUT HOUSE AND HI-SCORES ROOM. DOES NOT AFFECT YOUR SCORES OR UNLOCK PROGRESS. DISABLE THIS AGAIN TO REVEAL WHAT YOU HAVE LEGITIMATELY UNLOCKED."));
    scrUpDown("scumClimbSpeed", 1, 3, "CLIMB SPEED", wordwrap("ADJUST THE SPEED THAT YOU CLIMB LADDERS, ROPES AND VINES. 1 IS DEFAULT SPEED, 2 IS FAST, AND 3 IS FASTER."));
    break;
  case 2:
    scrOptionButton("scumFlipHold", "HOLD ITEM ON FLIP", wordwrap("ALLOWS YOU TO FLIP DOWN TO HANG FROM A LEDGE WITHOUT BEING FORCED TO DROP ITEMS THAT COULD BE HELD WITH ONE HAND. HEAVY ITEMS WILL ALWAYS BE DROPPED."));
    scrOptionButton("weaponsOpenContainers", "MELEE CONTAINERS", wordwrap("ALLOWS YOU TO OPEN CRATES AND CHESTS BY HITTING THEM WITH THE WHIP, MACHETE OR MATTOCK."));
    scrOptionButton("nudge", "MELEE ITEMS", wordwrap("ALLOWS HITTING LOOSE ITEMS WITH MELEE WEAPONS TO MOVE THEM SLIGHTLY. WITH THE RIGHT TIMING YOU CAN HIT FLYING ARROWS TO DEFEND YOURSELF!"));
    scrOptionButton("scumSpringShoesReduceFallDamage", "SPRING SHOES EFFECT", wordwrap("WITH THIS OPTION ENABLED, THE SPRING SHOES WILL ALLOW YOU TO FALL FARTHER THAN NORMAL BEFORE YOU TAKE DAMAGE."));
    scrOptionButton("optSGAmmo", "SHOTGUN NEEDS AMMO", wordwrap("SHOTGUNS WILL REQUIRE SHELLS TO SHOOT. NEW SHOTGUN HAS 7 SHELLS. YOU CAN ALSO FOUND SHELLS IN JARS, CRATES AND CHESTS."));
    scrOptionButton("optThrowEmptyShotgun", "THROW EMPTY SHOTGUN", wordwrap("PRESSING ACTION WHEN SHOTGUN IS EMPTY WILL THROW IT."));
    scrOptionButton("enemyBreakWeb", "ENEMIES BREAK WEBS", wordwrap("ALLOWS MOST ENEMIES TO BREAK FREE FROM SPIDER WEBS AFTER A PERIOD OF TIME. SNAKES AND BATS ARE TOO WEAK TO ESCAPE."));
    scrOptionButton("toggleRunAnywhere", "EASY WALK/RUN SWITCH", wordwrap("ALLOWS PLAYER TO CONTROL SPEED IN MID-AIR WITH THE RUN KEY LIKE SPELUNKY HD, INSTEAD OF KEEPING THE SAME AIR SPEED UNTIL TOUCHING THE GROUND AGAIN."));
    scrOptionButton("naturalSwim", "IMPROVED SWIMMING", wordwrap("HOLD DOWN TO SINK FASTER, HOLD UP TO SINK SLOWER.")); // Spelunky Natural swim mechanics
    break;
  case 3:
    scrUpDown("scumDarkness:7", 0, 2, "DARK ", wordwrap("THE CHANCE OF GETTING A DARK LEVEL. THE BLACK MARKET AND FINAL BOSS LEVELS WILL BE LIT EVEN IF THIS OPTION IS SET TO 'ALWAYS'."));
    scrUpDown("!scumGhost:7", 0, 0,   "GHOST", wordwrap("HOW LONG UNTIL THE 'A CHILL RUNS DOWN YOUR SPINE!' WARNING APPEARS. 30 SECONDS AFTER THAT, THE GHOST APPEARS. DEFAULT TIME IS 2 MINUTES. 'INSTANT' WILL SUMMON THE GHOST AT LEVEL START WITHOUT THE 30 SECOND DELAY."));
    scrOptionButton("ghostRandom", "RANDOM GHOST DELAY", wordwrap("THIS OPTION WILL RANDOMIZE THE DELAY UNTIL THE GHOST APPEARS AFTER THE TIME LIMIT ABOVE IS REACHED INSTEAD OF USING THE DEFAULT 30 SECONDS. CHANGES EACH LEVEL AND VARIES WITH THE TIME LIMIT YOU SET."));
    scrUpDown("enemyMult", 1, 10, "ENEMIES", wordwrap("MULTIPLIES THE AMOUNT OF ENEMIES THAT SPAWN IN LEVELS. 1 IS NORMAL. THE SAME SETTING WILL AFFECT NORMAL AND BIZARRE MODES DIFFERENTLY."));
    scrUpDown("trapMult", 1, 10,  "TRAPS  ", wordwrap("MULTIPLIES THE AMOUNT OF TRAPS THAT SPAWN IN LEVELS. 1 IS NORMAL. THE SAME SETTING WILL AFFECT NORMAL AND BIZARRE MODES DIFFERENTLY."));
    scrOptionButton("woodSpikes", "WOOD SPIKES", wordwrap("REPLACES METAL SPIKES WITH WOODEN ONES THAT ALLOW YOU TO SAFELY DROP FROM ONE TILE ABOVE, AS IN AN EARLY VERSION OF THE GAME. DOES NOT AFFECT CUSTOM LEVELS."));
    scrOptionButton("boulderChaos", "BOULDER CHAOS", wordwrap("BOULDERS WILL ROLL FASTER, BOUNCE A BIT HIGHER, AND KEEP THEIR MOMENTUM LONGER."));
    scrUpDown("scumFallDamage", 1, 10, "FALL DAMAGE", wordwrap("ADJUST THE MULTIPLIER FOR THE AMOUNT OF DAMAGE YOU TAKE FROM LONG FALLS. 1 IS DEFAULT, 2 IS DOUBLE DAMAGE, ETC."));
    scrOptionButton("scumBallAndChain", "BALL AND CHAIN", wordwrap("PLAYER WILL ALWAYS BE WEARING THE BALL AND CHAIN. YOU CAN GAIN OR LOSE FAVOR WITH KALI AS NORMAL, BUT THE BALL AND CHAIN WILL REMAIN. FOR THOSE THAT WANT AN EXTRA CHALLENGE."));
    break;
}

if (page > 1) instance_create(24, 114, oPrevButton);
if (page < 3) instance_create(160, 114, oNextButton);


//scrOptionButton("-scumInventory", "ENABLE INVENTORY", wordwrap("HOLD 'DOWN' AND PRESS 'SWITCH' TO ADD CURRENT ITEM TO YOUR INVENTORY. PRESS 'SWITCH' WHEN STANDING TO CYCLE THROUGH ITEMS. ACCESS THE INVENTORY MENU FROM THE PAUSE SCREEN."));
//scrUpDown("invSize", 1, 3, "INVENTORY SLOTS", wordwrap("MAXIMUM NUMBER OF INVENTORY SLOTS AVAILABLE. MINIMUM IS 3, MAXIMUM IS 16. APPLIES TO HELD ITEMS ONLY - WEARABLE AND PASSIVE ITEMS MAXIMUM IS 16."));
//scrOptionButton("hoarder", "STACK SMALL ITEMS", wordwrap("SMALL ITEMS LIKE ROCKS AND SKULLS WILL STACK TO SAVE INVENTORY SLOTS. BOMBS, ROPE AND ARROWS WILL ALWAYS STACK."));
//scrOptionButton("-optVSync", "VSYNC SCREEN", wordwrap("SYNCHRONIZE SCREEN REFRESH WITH VERTICAL BLANK. THIS MAY PREVENT TEARING."));
